package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.Categoria;
import com.rjconsultores.ventaboletos.entidad.CategoriaBloqueioImpPosterior;

public class RenderCategoriaBloqueioVendaImpPosterior  implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        CategoriaBloqueioImpPosterior categoria = (CategoriaBloqueioImpPosterior) o;

        Listcell lc = new Listcell();
        
        lc = new Listcell(categoria.getCategoria().getDesccategoria().toString());
        lc.setParent(lstm);
        
        lstm.setAttribute("data", categoria);
    }
}
